- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_authentication_rule – Configure Authentication Rules in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify authentication feature and rule category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
authentication_rule dictionary | Default: null | Configure Authentication Rules.
| active_auth_method string |  | Select an active authentication method. Source authentication.scheme.name.
| comments string |  | Comment.
| ip_based string | Choices: enable disable | Enable/disable IP-based authentication. Once a user authenticates all traffic from the IP address the user authenticated from is allowed.
| name string / required |  | Authentication rule name.
| protocol string | Choices: http ftp socks ssh | Select the protocol to use for authentication . Users connect to the FortiGate using this protocol and are asked to authenticate.
| srcaddr list |  | Select an IPv4 source address from available options. Required for web proxy authentication.
|  | name string / required |  | Address name. Source firewall.address.name firewall.addrgrp.name firewall.proxy-address.name firewall.proxy-addrgrp.name.
| srcaddr6 list |  | Select an IPv6 source address. Required for web proxy authentication.
|  | name string / required |  | Address name. Source firewall.address6.name firewall.addrgrp6.name.
| sso_auth_method string |  | Select a single-sign on (SSO) authentication method. Source authentication.scheme.name.
| state string | Choices: present absent | Deprecated Starting with Ansible 2.9 we recommend using the top-level 'state' parameter. Indicates whether to create or remove the object.
| status string | Choices: enable disable | Enable/disable this authentication rule.
| transaction_based string | Choices: enable disable | Enable/disable transaction based authentication .
| web_auth_cookie string | Choices: enable disable | Enable/disable Web authentication cookies .
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean added in 2.9 | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
state string added in 2.9 | Choices: present absent | Indicates whether to create or remove the object. This attribute was present already in previous version in a deeper level. It has been moved out to this outer level.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure Authentication Rules.
        fortios_authentication_rule:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          authentication_rule:
            active_auth_method: "<your_own_value> (source authentication.scheme.name)"
            comments: "<your_own_value>"
            ip_based: "enable"
            name: "default_name_6"
            protocol: "http"
            srcaddr:
             -
                name: "default_name_9 (source firewall.address.name firewall.addrgrp.name firewall.proxy-address.name firewall.proxy-addrgrp.name)"
            srcaddr6:
             -
                name: "default_name_11 (source firewall.address6.name firewall.addrgrp6.name)"
            sso_auth_method: "<your_own_value> (source authentication.scheme.name)"
            status: "enable"
            transaction_based: "enable"
            web_auth_cookie: "enable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.